<template>
  <div class="common-layout" :class="{ mobile: !useIsDesktop() }">
    <header-m-modern
      :theme-properties="themeProperties"
      :auth="authentication"
    />
    <slot />
    <facebook-link />
    <lazy-footer template="modern" layout="mobile"/>
    <div>
      <nav-bar :auth="authentication" />
    </div>
  </div>
</template>
<script lang="ts">
import NavBar from "@/components/theme/mobile/modern/components/navbar.client.vue";

import { store } from "@/store";
import useDarkMode from "~~/composables/theme/useDarkMode";
export default defineComponent({
  name: "App",
  components: {
    NavBar,
  },
  setup() {
    // @ts-ignore to init dark mode
    const { isDark } = useDarkMode;
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const authentication = computed(() => store.state.auth);
    return {
      themeProperties,
      authentication,
    };
  },
});
</script>
<style lang="scss" scoped>
@import "@/assets/styles/mobile/modern.scss";
:deep(.el-input__wrapper) {
  width: 100%;
}
:deep(.btn-default) {
  display: flex;
  justify-content: center;
  align-items: center;
  width: -moz-fit-content;
  width: fit-content;
  padding: 0 20px;
  font-weight: 600;
  font-size: 14px;
  line-height: 20px;
  color: #fff !important;
  border-radius: 6px;
  background: var(--primary);
  box-shadow: var(--box-shadow);
  flex-shrink: 0;
  border: none;
}
:deep(.el-loading-mask) {
  background-color: transparent;
}
:deep(.btn-primary) {
  display: flex;
  justify-content: center;
  align-items: center;
  width: -moz-fit-content;
  width: fit-content;
  padding: 0 20px;
  font-weight: 600;
  font-size: 14px;
  line-height: 20px;
  color: #707585 !important;
  border-radius: 6px;
  background-color: var(--button-bg);
  box-shadow: var(--box-shadow);
  flex-shrink: 0;
  border: none;
}

:deep(.bg-default) {
  background: var(--primary);
}

:deep(.bg-primary) {
  background: var(--background2);
  box-shadow: var(--box-shadow);
}

:deep(.box-shadow) {
  box-shadow: var(--box-shadow);
}

:deep(.box-shadow-inset) {
  box-shadow: var(--box-shadow-inset);
}
:deep(.el-select .el-input.is-focus .el-input__inner) {
  box-shadow: var(--box-shadow-inset) !important;
}
:deep(.el-select .el-input__inner) {
  box-shadow: var(--box-shadow-inset) !important;
}
</style>
<style lang="scss">
body:has(.mobile[layout="modern"]) .el-popper.is-pure {
  .el-popper__arrow {
    &::before {
      border: 1px solid var(--el-border-color-light);
    }
  }
}
@import "@/assets/styles/mobile/common.scss";
.theme-wrapper {
  display: block;
  min-height: unset;
}
.common-layout {
  .min-h-screen.bg-1 {
    margin-top: 3.9rem;
  }
  .bg-white.rounded-md {
    background: none;
    box-shadow: var(--box-shadow-simle);
  }
  .bg-blue-50.px-3 {
    background: var(--primary);
  }
  .bg-background2.setting-tab {
    top: 45px;
    box-shadow: none;
  }
  .bg-background2.p-3.pt-0.text-xs {
    padding-top: 25px;
  }
  .bg-background2.p-3.pt-10.text-xs {
    padding-top: 15px;
  }
  .el-tabs__active-bar {
    background-color: var(--primary-fallback);
  }
  .divider-x {
    padding-top: 60px;
  }
  .page-header__title {
    color: var(--primary-fallback);
  }
  // .w-full.fixed-header {
  //   position: unset !important;
  // }
  .flex-auto {
    overflow: auto;
    height: calc(100vh - 99.75px);
    padding-bottom: 70px;
  }
  #pane-gameBet {
    margin-top: 15px;
    .px-3 {
      position: relative;
    }
    .bandage {
      right: 0;
    }
    .bg-blue-50.px-3 {
      color: var(--text5);
    }
  }
  #pane-sport {
    margin-top: 30px;
    .px-3 {
      position: relative;
    }
    .bandage {
      right: 0;
    }
    .bg-blue-50.px-3 {
      color: var(--text5);
    }
  }
  #pane-casino,
  #pane-gameBet,
  #pane-poker,
  #pane-lottery {
    margin-top: 15px;
  }
  .rounded-lg.w-full.pt-3 {
    h2 {
      color: var(--primary-fallback);
    }
  }
  .el-radio-button {
    background: var(--background1);
  }

  .vertical-sub-tabs .selected,
  .payment-method-group .selected,
  .el-radio-button
    .el-radio-button__original-radio:checked
    + .el-radio-button__inner,
  .el-radio-button:first-child
    .el-radio-button__original-radio:checked
    + .el-radio-button__inner {
    border: 2px solid var(--primary-fallback);
  }

  .el-input__inner,
  .el-input.is-disabled .el-input__inner {
    height: 40px;
    width: 100%;
    padding: 8px 16px;
    font-family: Roboto, sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    color: var(--title-font-color);
    background: var(--background2);
    border: 1px solid transparent;
    box-shadow: var(--box-shadow-inset);
    border-radius: 8px;
    box-sizing: border-box;
  }

  .el-date-editor .el-input__inner {
    padding-left: 28px;
  }

  .el-button,
  .el-button.el-button--primary.is-plain,
  .el-input-group__append {
    color: var(--text2);
    background-color: var(--button-bg);
    box-shadow: var(--box-shadow);
    border: unset;
  }

  .bank-icon {
    .el-radio-button,
    .el-radio-button__inner {
      background: var(--button-bg) !important;
    }

    .el-radio-button__inner div {
      background: unset;
    }
  }

  .AgentCooperation {
    padding-top: 15px;
    padding-bottom: 30px;

    .el-form {
      width: 540px;
      max-width: 100%;
      margin: 0 auto;
      border-radius: 40px;
      position: relative;
    }
    .AgentCooperation__has-lone-child .el-form-item__content {
      margin: 0 !important;
      display: flex;
      justify-content: center;
    }
  }

  .content {
    padding-top: 72px;
    padding-bottom: 30px;

    .el-tabs__item.is-active,
    .el-tabs__item:hover {
      color: var(--primary-fallback);
    }

    .el-tabs__active-bar {
      background-color: var(--primary-fallback);
    }
  }

  .el-button:hover {
    background: var(--button-bg-hover);
    border: unset;
  }

  .el-select:hover .el-input__inner {
    background: var(--background2);
    border: 1px solid transparent;
    box-shadow: var(--box-shadow-inset);
  }

  .el-input__inner:focus {
    background: var(--background2);
    border: 1px solid transparent;
    box-shadow: var(--box-shadow-inset) !important;
  }

  .el-tree-node__content,
  .el-tree-node__children {
    padding-right: 40px;
  }
  .bg-background2.rounded-full.p-3 {
    box-shadow: none;
  }

  .bg-background1.rounded-lg {
    box-shadow: var(--box-shadow);
  }
  .overflow-auto {
    margin-top: 0;
  }
  .mx-auto.px-5.bg-1 {
    margin-top: 0;
  }

  @media (max-width: 1300px), (orientation: portrait) {
    .game-list-container .games__list {
      grid-template-columns: repeat(4, 1fr) !important;
      grid-template-rows: auto;
    }
  }

  @media (max-width: 1200px) {
    .game-list-container .games__list {
      grid-template-columns: repeat(3, 1fr) !important;
    }
  }
  .divider-y.bg-background1 {
    background: var(--background3);

    .space-y-4.bg-background1 {
      background: var(--background3);
    }
  }
}

html.dark .common-layout .AgentCooperation {
  //   background: v-bind("darkBackground") no-repeat;
  background-size: 620px;
}

.common-layout .AgentCooperation {
  //   background: v-bind("lightBackground") no-repeat;
  background-size: 620px;
}
#btn-submit-captcha {
  margin-top: unset !important;
}
</style>
